SSSFu = AceLibrary("AceAddon-2.0"):new("AceConsole-2.0", "FuBarPlugin-2.0")
local L = AceLibrary("AceLocale-2.2"):new("SSS")
local Dewdrop = AceLibrary("Dewdrop-2.0")

-- Fubar Stuff
SSSFu.options = SSS.options
SSSFu.overrideMenu = true
--SSSFu.OnMenuRequest = SSSFu.options
SSSFu.hasIcon = "Interface\\Icons\\INV_Misc_Orb_04"


function SSSFu:OnTextUpdate()
    local text = SSS:GetStones()
    if SSS:GetStones(true) > 0 then
        text = text .. "("..SSS:GetStones(true)..")"
    end
    SSSFu:SetText(text)
end

function SSSFu:OnMenuRequest()
    Dewdrop:FeedAceOptionsTable(self.options)
    SSSFu:AddImpliedMenuOptions()
end

local Tablet = AceLibrary("Tablet-2.0")
function SSSFu:OnTooltipUpdate()
	local cat = Tablet:AddCategory('columns', 3)
    
	for name, _ in pairs(SSS.soulstones or {}) do
                if SSS:GetTimeLeft(name) < 60 then f_st = "%Ss" else f_st = "%Mm" end
                if SSS.db.char.display_flag and SSS:GetSource(name) == UnitName("player") then name_st = "|cFFFF0000-"..SSS:GetRaidColorString(SSS:GetClass(name))..name.."|cFFFF0000-" else name_st = SSS:GetRaidColorString(SSS:GetClass(name))..name end
                if SSS:IsDead(name) then timetext = "-*-" else timetext = format("%s", date(f_st, SSS:GetTimeLeft(name))) end
                cat:AddLine(    'text', name_st,
                                'justify', "LEFT",
                                'text2', SSS:GetRaidColorString("WARLOCK")..format("%s", SSS:GetSource(name) or ""),
                                'justify2', "LEFT",
                                'text3', timetext )
	end
end
-- end fubar stuff


function SSSFu:OnEnable()
end

function SSSFu:OnClick()
        SSS:List()
end


